MONGOC_STREAM_GRIDFS_NEW(3)

NAME
mongoc_stream_gridfs_new - mongoc_stream_gridfs_new()

SYNOPSIS

mongoc_stream_t *
mongoc_stream_gridfs_new (mongoc_gridfs_file_t *file)
   BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

•   file: A mongoc_gridfs_file_t.

    This function shall create a new mongoc_stream_t to read from and write to a GridFS file. GridFS files are created with mongoc_gridfs_create_file() or mongoc_gridfs_create_file_from_stream().

    This function does not transfer ownership of file. Therefore, file must remain valid for the lifetime of this stream.

RETURNS

A newly allocated mongoc_stream_t if successful, otherwise NULL.

Note, the returned stream ignores read and write timeouts passed to mongoc_stream_readv(), mongoc_stream_writev(), and so on. It uses the "socketTimeoutMS" and "connectTimeoutMS" values from the MongoDB URI.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc